Quality Data

Quality Data

8OAS 3.0

Get Quality Data of products. See Wiki

API Base URL
  • Server 1:https://api-qual.migros.ch

    Public Kong Gateway URL

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

basicAuth (http)

Basic authentication is a simple authentication scheme built into the HTTP protocol.
To use it, send your HTTP requests with an Authorization header that contains the word Basic
followed by a space and a base64-encoded string username:password.

Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

Additional Information
Contact MGB-UDP-Products-Services (arg_mgb-udp-products-services@mgb.ch)

Chemicals Declarations

Returns a paged list of chemicals declarations and provides search functionality.

Returns a paged list of chemicals declarations and provides search functionality.

get
https://api-qual.migros.ch/migros/products/v8/products/chemicals-declarations

Query Parameters

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

product_idsstring

A comma separated list or an array of product ids to filter the declarations.

updated_sincestring

The date and time used to only get declarations updated since a certain timestamp. The format is according to ISO 8601 and can include a time zone offset, e.g. 2018-01-01T06:00:00+01:00 (careful about the plus getting properly percent-encoded when passed). Default time zone is Swiss time.

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

ChemicalsDeclarationCollection

A collection of chemicals declaration instances.

chemicals_declarationsarray[object]required
Show Child Parameters
total_hitsinteger | nullrequired

The total hits may exceed the actual count of results in the collection.

It represents the total number of results of a search and not only the
potentially paginated subset.

get/migros/products/v8/products/chemicals-declarations
 
application/json

Safety Sheet

Returns the list of SafetyData Sheets for the given product.

This endpoint is accessible only with the PRODUCT_SAFETY_SHEET role.

get
https://api-qual.migros.ch/migros/products/v8/products/{id}/safety-sheet

Query Parameters

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

SafetySheetCollection

itemsarray[object]required
Show Child Parameters
get/migros/products/v8/products/{id}/safety-sheet
 
application/json